## libqtdbusmock 0.2+14.04.20140304

=== src/libqtdbusmock/CMakeLists.txt ===

set(
	QTDBUSMOCK_SRC
	DBusMock.cpp
	Method.cpp
	MethodCall.cpp
	NamedMethodCall.cpp
)

set(
	QTDBUSMOCK_PUBLIC_HEADERS
	"${CMAKE_CURRENT_BINARY_DIR}/config.h"
	DBusMock.h
	ExportInterfaces.h
	Method.h
	MethodCall.h
	MockInterfaceClasses.h
	NamedMethodCall.h
	"${CMAKE_CURRENT_BINARY_DIR}/MockInterface.h"
	"${CMAKE_CURRENT_BINARY_DIR}/PropertiesInterface.h"
	"${CMAKE_CURRENT_BINARY_DIR}/NetworkManagerMockInterface.h"
)

set_source_files_properties(
	"${DATA_DIR}/org.freedesktop.DBus.Mock.xml"
	PROPERTIES
	NO_NAMESPACE YES
	INCLUDE "libqtdbusmock/MockInterfaceClasses.h"
)

set_source_files_properties(
	"${DATA_DIR}/org.freedesktop.DBus.Properties.xml"
	PROPERTIES
	NO_NAMESPACE YES
	INCLUDE "libqtdbusmock/ExportInterfaces.h"
)

set_source_files_properties(
	"${DATA_DIR}/nm-manager-mock.xml"
	PROPERTIES
	NO_NAMESPACE YES
	CLASSNAME NetworkManagerMockInterface
	INCLUDE "libqtdbusmock/ExportInterfaces.h"
)

qt5_add_dbus_interface(
	QTDBUSMOCK_SRC
	"${DATA_DIR}/org.freedesktop.DBus.Mock.xml"
	MockInterface
)	

qt5_add_dbus_interface(
	QTDBUSMOCK_SRC
	"${DATA_DIR}/org.freedesktop.DBus.Properties.xml"
	PropertiesInterface
)

qt5_add_dbus_interface(
	QTDBUSMOCK_SRC
	"${DATA_DIR}/nm-manager-mock.xml"
	NetworkManagerMockInterface
)

add_library(
	qtdbusmock
	SHARED
	${QTDBUSMOCK_SRC}
)

qt5_use_modules(
	qtdbusmock
	Core
	DBus
	Test
)

target_link_libraries(
	qtdbusmock
	${QTDBUSTEST_LIBRARIES}
)

set_target_properties(
	qtdbusmock
	PROPERTIES
	VERSION ${API_VERSION}.0.0
	SOVERSION ${ABI_VERSION}
	PUBLIC_HEADER "${QTDBUSMOCK_PUBLIC_HEADERS}"
)

install(
	TARGETS qtdbusmock
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libqtdbusmock-${API_VERSION}/libqtdbusmock"
)

# Package config

set(LIBQTDBUSMOCK_PC "${CMAKE_CURRENT_BINARY_DIR}/libqtdbusmock-${API_VERSION}.pc")
configure_file("libqtdbusmock.pc.in" "${LIBQTDBUSMOCK_PC}" @ONLY)

install(
	FILES "${LIBQTDBUSMOCK_PC}"
	DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
)

## libqtdbusmock 0.5%2B15.10.20151009

=== CMakeLists.txt ===
project(libqtdbusmock CXX)
cmake_minimum_required(VERSION 2.8.9)

set(API_VERSION 1)
set(ABI_VERSION 1)

set(GETTEXT_PACKAGE libqtdbusmock)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

find_package(PkgConfig REQUIRED)

find_package(Qt5Core REQUIRED)
include_directories(${Qt5Core_INCLUDE_DIRS})

find_package(Qt5DBus COMPONENTS Qt5DBusMacros REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS})

find_package(Qt5Test REQUIRED)
include_directories(${Qt5Test_INCLUDE_DIRS})

pkg_check_modules(QTDBUSTEST REQUIRED libqtdbustest-1 REQUIRED)
include_directories(${QTDBUSTEST_INCLUDE_DIRS})

pkg_check_modules(NM REQUIRED NetworkManager REQUIRED)
include_directories(${NM_INCLUDE_DIRS})

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")
set(SOURCE_DIR "${CMAKE_SOURCE_DIR}/src")
set(SOURCE_BINARY_DIR "${CMAKE_BINARY_DIR}/src")
include_directories(${SOURCE_DIR})
include_directories(${SOURCE_BINARY_DIR})

include(GNUInstallDirs)
include(Coverage)

# Workaround for libexecdir on debian
if (EXISTS "/etc/debian_version") 
  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
endif()

set(LOCALE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")

add_definitions(
	-std=c++11
	-fno-permissive
	-pedantic
	-Wall
	-Wextra
)

#set(DOXYFILE_SOURCE_DIR "include")
#set(DOXYFILE_EXTRA_SOURCES "doc")
#include(UseDoxygen)
#if(DOXYGEN_FOUND AND BUILD_DOXYGEN)
#	install(
#		DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc/html
#		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/libusermetrics-doc/
#	)
#endif()

configure_file(
	"${SOURCE_DIR}/libqtdbusmock/config.h.in"
	"${SOURCE_BINARY_DIR}/libqtdbusmock/config.h"
)


#add_subdirectory("po")
add_subdirectory("src")
add_subdirectory("data")

enable_testing()
add_subdirectory(tests)

ADD_CUSTOM_TARGET(
	check
	${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
)

## libqtdbusmock 0.5+15.10.20151009

=== src/CMakeLists.txt ===
include(GenerateExportHeader)
add_compiler_export_flags()

add_subdirectory(libqtdbusmock)

=== tests/CMakeLists.txt ===

set(CMAKE_AUTOMOC OFF)
include(FindGMock)
set(CMAKE_AUTOMOC ON)

find_package("Valgrind" REQUIRED)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${GMOCK_INCLUDE_DIRS})
include_directories(${GTEST_INCLUDE_DIRS})

set(
	UNIT_TESTS_SRC
	main.cpp
	libqtdbusmock/TestDBusMock.cpp
)

add_executable(
	unit-tests
	${UNIT_TESTS_SRC}
)

qt5_use_modules(
	unit-tests
	Core
	DBus
	Test
)

target_link_libraries(
	unit-tests
	qtdbusmock
	${QTDBUSTEST_LIBRARIES}
	${GTEST_LIBRARIES}
	${GMOCK_LIBRARIES}
)

add_valgrind_test(
	unit-tests
	unit-tests
)

=== src/libqtdbusmock/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,15 @@
 	"${CMAKE_CURRENT_BINARY_DIR}/MockInterface.h"
 	"${CMAKE_CURRENT_BINARY_DIR}/PropertiesInterface.h"
 	"${CMAKE_CURRENT_BINARY_DIR}/NetworkManagerMockInterface.h"
+        "${CMAKE_CURRENT_BINARY_DIR}/NotificationDaemonMockInterface.h"
+        "${CMAKE_CURRENT_BINARY_DIR}/OfonoMockInterface.h"
+        "${CMAKE_CURRENT_BINARY_DIR}/OfonoModemInterface.h"
+        "${CMAKE_CURRENT_BINARY_DIR}/OfonoConnectionManagerInterface.h"
+        "${CMAKE_CURRENT_BINARY_DIR}/OfonoSimManagerInterface.h"
+        "${CMAKE_CURRENT_BINARY_DIR}/OfonoNetworkRegistrationInterface.h"
+        "${CMAKE_CURRENT_BINARY_DIR}/URfkillInterface.h"
+	"${CMAKE_CURRENT_BINARY_DIR}/URfkillDeviceInterface.h"
+	"${CMAKE_CURRENT_BINARY_DIR}/URfkillKillswitchInterface.h"
 )
 
 set_source_files_properties(
@@ -41,6 +50,48 @@
 	NO_NAMESPACE YES
 	CLASSNAME NetworkManagerMockInterface
 	INCLUDE "libqtdbusmock/ExportInterfaces.h"
+)
+
+set_source_files_properties(
+        "${DATA_DIR}/notification-daemon-mock.xml"
+        PROPERTIES
+        NO_NAMESPACE YES
+        CLASSNAME NotificationDaemonMockInterface
+)
+
+set_source_files_properties(
+	"${DATA_DIR}/ofono-mock.xml"
+	PROPERTIES
+	NO_NAMESPACE YES
+	CLASSNAME OfonoMockInterface
+)
+
+set_source_files_properties(
+        "${DATA_DIR}/ofono-modem-mock.xml"
+        PROPERTIES
+        NO_NAMESPACE YES
+        CLASSNAME OfonoModemInterface
+)
+
+set_source_files_properties(
+        "${DATA_DIR}/ofono-simmanager.xml"
+        PROPERTIES
+        NO_NAMESPACE YES
+        CLASSNAME OfonoSimManagerInterface
+)
+
+set_source_files_properties(
+        "${DATA_DIR}/ofono-connectionmanager.xml"
+        PROPERTIES
+        NO_NAMESPACE YES
+        CLASSNAME OfonoConnectionManagerInterface
+)
+
+set_source_files_properties(
+        "${DATA_DIR}/ofono-networkregistration.xml"
+        PROPERTIES
+        NO_NAMESPACE YES
+        CLASSNAME OfonoNetworkRegistrationInterface
 )
 
 qt5_add_dbus_interface(
@@ -59,6 +110,78 @@
 	QTDBUSMOCK_SRC
 	"${DATA_DIR}/nm-manager-mock.xml"
 	NetworkManagerMockInterface
+)
+
+qt5_add_dbus_interface(
+        QTDBUSMOCK_SRC
+        "${DATA_DIR}/notification-daemon-mock.xml"
+        NotificationDaemonMockInterface
+)
+
+qt5_add_dbus_interface(
+	QTDBUSMOCK_SRC
+	"${DATA_DIR}/ofono-mock.xml"
+	OfonoMockInterface
+)
+
+qt5_add_dbus_interface(
+        QTDBUSMOCK_SRC
+        "${DATA_DIR}/ofono-modem-mock.xml"
+        OfonoModemInterface
+)
+
+qt5_add_dbus_interface(
+        QTDBUSMOCK_SRC
+        "${DATA_DIR}/ofono-connectionmanager.xml"
+        OfonoConnectionManagerInterface
+)
+
+qt5_add_dbus_interface(
+        QTDBUSMOCK_SRC
+        "${DATA_DIR}/ofono-simmanager.xml"
+        OfonoSimManagerInterface
+)
+
+qt5_add_dbus_interface(
+        QTDBUSMOCK_SRC
+        "${DATA_DIR}/ofono-networkregistration.xml"
+        OfonoNetworkRegistrationInterface
+)
+
+set_source_files_properties(
+	"${DATA_DIR}/org.freedesktop.URfkill.xml"
+	PROPERTIES
+	NO_NAMESPACE YES
+)
+
+set_source_files_properties(
+	"${DATA_DIR}/org.freedesktop.URfkill.Device.xml"
+	PROPERTIES
+	NO_NAMESPACE YES
+)
+
+set_source_files_properties(
+	"${DATA_DIR}/org.freedesktop.URfkill.Killswitch.xml"
+	PROPERTIES
+	NO_NAMESPACE YES
+)
+
+qt5_add_dbus_interface(
+	QTDBUSMOCK_SRC
+	"${DATA_DIR}/org.freedesktop.URfkill.xml"
+	URfkillInterface
+)
+
+qt5_add_dbus_interface(
+	QTDBUSMOCK_SRC
+	"${DATA_DIR}/org.freedesktop.URfkill.Device.xml"
+	URfkillDeviceInterface
+)
+
+qt5_add_dbus_interface(
+	QTDBUSMOCK_SRC
+	"${DATA_DIR}/org.freedesktop.URfkill.Killswitch.xml"
+	URfkillKillswitchInterface
 )
 
 add_library(

## libqtdbusmock 0.6%2b17.04.20161206

=== CMakeLists.txt ===
--- 
+++ 
@@ -53,23 +53,11 @@
 	-Wextra
 )
 
-#set(DOXYFILE_SOURCE_DIR "include")
-#set(DOXYFILE_EXTRA_SOURCES "doc")
-#include(UseDoxygen)
-#if(DOXYGEN_FOUND AND BUILD_DOXYGEN)
-#	install(
-#		DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc/html
-#		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/libusermetrics-doc/
-#	)
-#endif()
-
 configure_file(
 	"${SOURCE_DIR}/libqtdbusmock/config.h.in"
 	"${SOURCE_BINARY_DIR}/libqtdbusmock/config.h"
 )
 
-
-#add_subdirectory("po")
 add_subdirectory("src")
 add_subdirectory("data")

## libqtdbusmock 0.7+bzr49+repack1

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,6 @@
 include_directories(${SOURCE_BINARY_DIR})
 
 include(GNUInstallDirs)
-include(Coverage)
 
 # Workaround for libexecdir on debian
 if (EXISTS "/etc/debian_version") 
@@ -60,6 +59,7 @@
 
 add_subdirectory("src")
 add_subdirectory("data")
+add_subdirectory("templates")
 
 enable_testing()
 add_subdirectory(tests)
@@ -68,3 +68,16 @@
 	check
 	${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
 )
+
+find_package(CoverageReport)
+enable_coverage_report(
+  TARGETS
+    qtdbusmock
+    unit-tests
+  FILTER
+    ${CMAKE_SOURCE_DIR}/tests/*
+    ${CMAKE_BINARY_DIR}/*
+  TESTS
+    unit-tests
+)
+

=== templates/CMakeLists.txt ===

install(
	FILES
		"org.freedesktop.hostname1.py"
		"org.freedesktop.login1.py"
	DESTINATION
		"${CMAKE_INSTALL_DATADIR}/libqtdbusmock/templates/"
)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,7 @@
 
 set(CMAKE_AUTOMOC OFF)
-include(FindGMock)
+find_package(GMock REQUIRED)
 set(CMAKE_AUTOMOC ON)
-
-find_package("Valgrind" REQUIRED)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 include_directories(${GMOCK_INCLUDE_DIRS})
@@ -35,7 +33,7 @@
 	${GMOCK_LIBRARIES}
 )
 
-add_valgrind_test(
+add_test(
 	unit-tests
 	unit-tests
 )

=== src/libqtdbusmock/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	QTDBUSMOCK_PUBLIC_HEADERS
 	"${CMAKE_CURRENT_BINARY_DIR}/config.h"
 	DBusMock.h
+	DeclareMetatypes.h
 	ExportInterfaces.h
 	Method.h
 	MethodCall.h

=== debian/changelog ===
libqtdbusmock (0.7+bzr49+repack1-5) unstable; urgency=medium

  * debian/control:
    + Add Debian UBports Team to Uploaders: field.
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Fix URL in Vcs-Browser: field.
    + Drop B-D on transitional google-mock package, add B-D on googletest
      instead.
    + Add B-D: libgtest-dev (required for latest cmake-extras).
    + Bump versioned B-D on cmake-extras to (>= 1.5-7~).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Dec 2020 17:34:00 +0100

libqtdbusmock (0.7+bzr49+repack1-4) unstable; urgency=medium

  * debian/rules:
    + Let's be honest to ourselves and dig into the failing builds on some
      architectures once more. Run tests in --no-parallel mode. (See #896494).
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Mar 2020 22:29:22 +0100

libqtdbusmock (0.7+bzr49+repack1-3) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + Versioned B-D on libqtdbustest 0.2+bzr42+repack1-5 (or newer). Trigger a
      rebuild once the -5 revision of libqtdbustest has landed.
  * debian/{control,compat}:
    + Drop compat file. Switch to debhelper-compat notation in control file.
      Bump to DH compat level version 12.
  * debian/copyright:
    + Use secure URL for opyright format reference.
    + Add global Comment: field that explains why we repacked this package's
      orig tarball.
  * debian/rules:
    + Correctly adapt to DH compat level 12 regarding the dh_missing override.
    + Ignore test failures. Tests succeed during local sbuild based builds, but
      fail on Debian buildd infrastructure. Ignoring these. (Closes: #896494)
  * debian/libqtdbusmock1.symbols:
    + Add Build-Depends-Package: meta data field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Feb 2019 11:50:42 +0100

libqtdbusmock (0.7+bzr49+repack1-2) unstable; urgency=medium

  * debian/control:
    + Fix typo in Maintainer: field (in the full name).
  * debian/control:
    + Replace B-D on network-manager-dev by B-D on libnm-dev. (Closes: #895444).
  * debian/patches:
    + Add 1001_port-to-libnm.patch. Building against libnm-dev pulls in GLib
      symbols, esp. the signals variable. In GLib it is a variable, in Qt it is
      a keyword. (See: https://bugs.kde.org/show_bug.cgi?id=378109). So this
      patch adds the definition -DQT_NO_KEYWORDS."
  * debian/rules:
    + Drop superfluous build option --parallel.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 19 Apr 2018 21:29:34 +0200

libqtdbusmock (0.7+bzr49+repack1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #878513).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Oct 2017 18:00:40 +0200

libqtdbusmock (0.7+17.04.20170316.1-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Add hostname1 and login1 templates to new binary package
    libqtdbusmock1-common.
  * Search /usr/share/libqtdbusmock/templates for templates.

 -- Pete Woods <pete.woods@canonical.com>  Thu, 16 Mar 2017 10:32:22 +0000

libqtdbusmock (0.6+17.04.20170106-0ubuntu1) zesty; urgency=medium

  * Compatibility with unversioned cmake-extras modules (LP: #1563573)

 -- Pete Woods <pete.woods@canonical.com>  Fri, 06 Jan 2017 10:44:44 +0000

libqtdbusmock (0.6+17.04.20161206-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Add AddDeviceConnection, SettingsAddConnection methods to network manager mock interface.
  * Switch to cmake-extras version of FindGMock.
  * CHange to pragma once for header guard macros.

 -- Pete Woods <pete.woods@canonical.com>  Tue, 06 Dec 2016 12:09:08 +0000

libqtdbusmock (0.5+15.10.20151009-0ubuntu1) wily; urgency=medium

  [ Pete Woods ]
  * Enable the passing of parameters to templates.
  * Add methods for all templates from dbusmock.
  * Fix version number of registerTemplate symbol (marked 0changeme).
  * Depend on python-dbusmock >= 0.16

  [ CI Train Bot ]
  * debian/libqtdbusmock1.symbols: update to released version.
  * No-change rebuild.

 -- Pete Woods <ci-train-bot@canonical.com>  Fri, 09 Oct 2015 11:12:09 +0000

libqtdbusmock (0.4+15.10.20151006.3-0ubuntu1) wily; urgency=medium

  [ Pete Woods ]
  * Add new methods to NetworkManager mock interface.
  * Don't run valgrind by default. (LP: #1451507)

  [ CI Train Bot ]
  * debian/libqtdbusmock1.symbols: update to released version.
  * No-change rebuild.

 -- Pete Woods <ci-train-bot@canonical.com>  Tue, 06 Oct 2015 11:47:54 +0000

libqtdbusmock (0.3+15.10.20150604-0ubuntu1) wily; urgency=medium

  [ Pete Woods ]
  * Fix FTBFS on PPC (LP: #1451512)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 04 Jun 2015 11:03:42 +0000

libqtdbusmock (0.3+15.04.20150331-0ubuntu1) vivid; urgency=medium

  [ Pete Woods ]
  * Add support for urfkill, ofono and futher network manager support.

  [ CI Train Bot ]
  * debian/libqtdbusmock1.symbols: update to released version.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 31 Mar 2015 11:22:42 +0000

libqtdbusmock (0.2+14.10.20140730-0ubuntu1) utopic; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Allow starting other templates than NetworkManager via a registerTemplate()
    method; make registerNetworkManager use it for simplicity.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Jul 2014 17:58:36 +0000

libqtdbusmock (0.2+14.04.20140304-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Valgrind is not present on all architectures. (LP: #1263925,
    #1263926)
  * Disable Valgrind on ARM (LP: #1287135)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Mar 2014 05:30:00 +0000

libqtdbusmock (0.2+14.04.20131128.1-0ubuntu3) trusty; urgency=medium

  * Disable the testsuite on i386 for now. See #1262638 and #1263926.



=== debian/control ===
Source: libqtdbusmock
Section: devel
Priority: optional
Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 1.5-7~),
               debhelper-compat (= 13),
               gettext,
               googletest,
               libgtest-dev,
               libqtdbustest1-dev (>= 0.2+bzr42+repack1-5~),,
               libnm-dev,
               pkg-config,
               python3-dbusmock (>= 0.16),
               qtbase5-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://launchpad.net/libqtdbustest
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libqtdbusmock.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/libqtdbusmock

Package: libqtdbusmock1
Section: libs
Architecture: any
Multi-Arch: same
Depends: python3-dbusmock (>= 0.16),
         libqtdbusmock1-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library for mocking DBus interactions using Qt
 A simple library for mocking DBus services with a Qt API. The software
 is relevant for unit testing DBus services based on Qt API.
 .
 This package contains the shared library.

Package: libqtdbusmock1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtdbusmock1 (= ${binary:Version}),
         ${misc:Depends},
Description: Library for mocking DBus interactions using Qt (development files)
 A simple library for mocking DBus services with a Qt API. The software
 is relevant for unit testing DBus services based on Qt API.
 .
 This package contains header files needed for development.

Package: libqtdbusmock1-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Library for mocking DBus interactions using Qt (common files)
 A simple library for mocking DBus services with a Qt API. The software
 is relevant for unit testing DBus services based on Qt API.
 .
 This package contains extra dbusmock templates.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

NULL  =

include /usr/share/dpkg/pkg-info.mk

PKD   = $(word 2, abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +repack1
VER  ?= $(subst $(DTYPE),,$(UVER))
REV   = $(shell echo $(VER) | perl -ne 'print "$$1" if m/(?:git|svn|hg|bzr)(\d+)/;')

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.bzr

override_dh_auto_test:
	dh_auto_test --no-parallel

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

## checkout from bzr (add "bzr (>= 2.6.0~bzr6520)" to Build-Depends, see #666496)
UURL = lp:libqtdbusmock
$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	bzr checkout --hardlink --lightweight --revision=$(REV) $(UURL) $(PKG)-$(VER) \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Creating ChangeLog..."
	cd $(PKG)-$(VER) && bzr log --log-format=line > ChangeLog.bzr
	@echo "# Modifying..."
	cd $(PKG)-$(VER) && rm -Rfv \
	    .bzr-builddeb \
	    .bzr \
	    debian \
	    $(NULL)
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

## libqtdbusmock 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 pkg_check_modules(QTDBUSTEST REQUIRED libqtdbustest-1 REQUIRED)
 include_directories(${QTDBUSTEST_INCLUDE_DIRS})
 
-pkg_check_modules(NM REQUIRED NetworkManager REQUIRED)
+pkg_check_modules(NM REQUIRED libnm REQUIRED)
 include_directories(${NM_INCLUDE_DIRS})
 
 set(CMAKE_AUTOMOC ON)

=== debian/changelog ===
libqtdbusmock (0.9.0-2) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Move package maintenance over to Debian UBports Team.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Aug 2023 08:34:54 +0200

libqtdbusmock (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Switch upstream to ubports (launchpad version has been abandoned)
  * debian/patches: Drop patch that's fixed upstream
  * debian/patches: Add patch to fix FTBFS with googletest 1.13.0 (closes #1041087)
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 02:18:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libqtdbusmock
 Section: devel
 Priority: optional
-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Debian UBports Team <team+ubports@tracker.debian.org>,
+ Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                cmake-extras (>= 1.5-7~),
                debhelper-compat (= 13),
@@ -16,11 +16,11 @@
                pkg-config,
                python3-dbusmock (>= 0.16),
                qtbase5-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://launchpad.net/libqtdbustest
-Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libqtdbusmock.git
-Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/libqtdbusmock
+Homepage: https://gitlab.com/ubports/development/core/libqtdbusmock/
+Vcs-Git: https://salsa.debian.org/ubports-team/libqtdbusmock.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/libqtdbusmock
 
 Package: libqtdbusmock1
 Section: libs

## libqtdbusmock 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project(libqtdbusmock CXX)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.5)
+project(libqtdbusmock VERSION 0.9.1 LANGUAGES CXX)
 
 set(API_VERSION 1)
 set(ABI_VERSION 1)
@@ -45,7 +45,7 @@
 set(LOCALE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
 
 add_definitions(
-	-std=c++11
+	-std=c++17
 	-fno-permissive
 	-pedantic
 	-Wall

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,11 @@
 	${UNIT_TESTS_SRC}
 )
 
-qt5_use_modules(
-	unit-tests
-	Core
-	DBus
-	Test
+target_link_libraries(
+    unit-tests
+    Qt5::Core
+    Qt5::DBus
+    Qt5::Test
 )
 
 target_link_libraries(

=== src/libqtdbusmock/CMakeLists.txt ===
--- 
+++ 
@@ -191,11 +191,11 @@
 	${QTDBUSMOCK_SRC}
 )
 
-qt5_use_modules(
-	qtdbusmock
-	Core
-	DBus
-	Test
+target_link_libraries(
+    qtdbusmock
+    Qt5::Core
+    Qt5::DBus
+    Qt5::Test
 )
 
 target_link_libraries(

=== debian/changelog ===
libqtdbusmock (0.9.1-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:37:56 +0000

libqtdbusmock (0.9.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:12:17 +0000

libqtdbusmock (0.9.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:41:00 +0000

libqtdbusmock (0.9.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libqtdbusmock1-dev: Drop Multi-Arch: same.
  * Set upstream metadata fields: Repository-Browse.

  [ Marius Gripsgard ]
  * New upstream release v0.9.1
  * debian/patches: Drop upstreamed patch
    - 0001-Bump-cpp-std-to-17-fixes-googletest-1.13.0.patch
  * debian/patches: Add patch to workaround cmake bug (Closes: #1058502)

 -- Marius Gripsgard <mariogrip@debian.org>  Sun, 28 Jan 2024 01:59:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libqtdbusmock
 Section: devel
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <mariogrip@debian.org>,
@@ -39,7 +40,6 @@
 Package: libqtdbusmock1-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libqtdbusmock1 (= ${binary:Version}),
          ${misc:Depends},
 Description: Library for mocking DBus interactions using Qt (development files)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	dh_auto_test --no-parallel

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/libqtdbusmock/-/tags .*/libqtdbusmock-(\d\S+)\.tar\.gz
